$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.173-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.173-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B9B2DDBBE5C68D1A037CEC7F9A655FC5AB5E2060C2E9FA856CC3EA26FF78D7FC'
  checksumType = 'sha256'
  checksum64 = 'B9B2DDBBE5C68D1A037CEC7F9A655FC5AB5E2060C2E9FA856CC3EA26FF78D7FC'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.173-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
